// Affiche et met a jour la liste des UE partageant le meme code

document.addEventListener("DOMContentLoaded", () => {
  update_ue_list();
  $("#tf_ue_id").bind("change", update_ue_list);

  const buttons = document.querySelectorAll(".ue_list_etud_validations button");

  buttons.forEach((button) => {
    button.addEventListener("click", (event) => {
      // Handle button click event here
      event.preventDefault();
      const etudid = event.target.dataset.etudid;
      const v_id = event.target.dataset.v_id;
      const validation_type = event.target.dataset.type;
      if (confirm("Supprimer cette validation ?")) {
        fetch(
          `${SCO_URL}/../api/etudiant/${etudid}/jury/${validation_type}/${v_id}/delete`,
          {
            method: "POST",
          }
        ).then((response) => {
          // Handle the response
          if (response.ok) {
            location.reload();
          } else {
            throw new Error("Request failed");
          }
        });
      }
    });
  });
});

function update_ue_list() {
  var ue_id = $("#tf_ue_id")[0].value;
  if (ue_id) {
    var query = SCO_URL + "/Notes/ue_sharing_code?ue_id=" + ue_id;
    $.get(query, "", function (data) {
      $("#ue_list_code").html(data);
    });
  }
}
